[Warrior Class Transfer]:
In order to become a Warlord the player must successfully complete three quests. The Trial of the Challenger may be taken by a player of level 35 or above. This quest begins by meeting with Kash of Dion Castle Town. The Testimony of Trust may be undertaken by a player of level 37 or above. This quest begins by meeting with High Priest Hollint of Oren Castle Town. Finally, the Test of the Champion may be undertaken by a player of level 39 or above. This quest begins by meeting with Veteran Ascalon of Giran Castle Town.
Return
Close Window